
- name: Update packages
  ansible.builtin.apt:
    update_cache: yes
    cache_valid_time: 3600
    upgrade: dist
    autoremove: yes
    autoclean: yes
    dpkg_options: 'force-confold,force-confdef'

- name: Check if reboot required
  ansible.builtin.stat:
    path: /var/run/reboot-required
  register: reboot_required_file

- name: Reboot if required
  ansible.builtin.reboot:
  when: reboot_required_file.stat.exists == true
